#
# Be sure to run `pod lib lint BFCommonKit.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see https://guides.cocoapods.org/syntax/podspec.html
#
# update framework 2021.11.1
Pod::Spec.new do |s|
  s.name             = 'BFCommonKit'
  s.version          = '1.5.2'
  s.summary          = '基础库'
  s.swift_version    = '5.0'
  s.description      = <<-DESC
TODO: Add long description of the pod here.
                       DESC

  s.homepage         = 'https://git.yishihui.com/iOS'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'wenweiwei' => 'wenweiwei@piaoquantv.com' }
  s.source           = { :git => 'https://git.yishihui.com/iOS/BFCommonKit.git', :tag => s.version.to_s }
  s.ios.deployment_target = '10.0'
  s.subspec 'BFConfig' do |gg|
    gg.source_files = 'BFCommonKit/Classes/BFConfig/*'
    gg.frameworks = 'UIKit'
  end
  s.subspec 'BFBase' do |bb|
    bb.source_files = 'BFCommonKit/Classes/BFBase/**/*'
    bb.frameworks = 'UIKit', 'WebKit'
    bb.dependency 'Alamofire','5.4.4'
    bb.dependency 'SnapKit','5.0.1'
    bb.dependency 'BFCommonKit/BFUtility'
    bb.dependency 'BFCommonKit/BFConfig'
    bb.dependency 'BFCommonKit/BFCategorys'
  end
  s.subspec 'BFEnums' do |ee|
    ee.source_files = 'BFCommonKit/Classes/BFEnums/*'
    ee.frameworks = 'Foundation'
  end
  s.subspec 'BFCategorys' do |cc|
    cc.source_files = 'BFCommonKit/Classes/BFCategorys/*'
    cc.frameworks = 'Foundation','UIKit','MobileCoreServices' # ,'CommonCrypto'
    cc.dependency 'KingfisherWebP','1.3.0'
  end
  s.subspec 'BFUtility' do |uu|
    uu.source_files = 'BFCommonKit/Classes/BFUtility/*'
    uu.frameworks = 'Foundation','UIKit','AdSupport','Photos','AudioToolbox','AVKit'
    uu.dependency 'KingfisherWebP','1.3.0'
    uu.dependency 'Alamofire','5.4.4'
    uu.dependency 'KeychainAccess','4.2.2'
    uu.dependency 'Kingfisher','6.3.1'
    uu.dependency 'Toast-Swift','5.0.1'
    uu.dependency 'BFCommonKit/BFCategorys'
    uu.dependency 'BFCommonKit/BFConfig'
  end
  s.subspec 'BFDebug' do |dd|
    dd.source_files = 'BFCommonKit/Classes/BFDebug/*'
    dd.frameworks = 'UIKit','MessageUI','WebKit'
    dd.dependency 'BFCommonKit/BFCategorys'
  end
   s.resource_bundles = {
      'BFCommonKit_Resources' => ['BFCommonKit/Assets/*']
    }
end
